# 测试圈TC：编程与写作




<br>
![](http://img.testclass.net/coding_and_writing.jpg)

作为一个略懂编程和略会文章的测试，突然想聊一聊这个话题，因为这两件在我的日常中很多时候是一件事。比如，我在写一篇技术分享的文章，其中就包括了写作，如何将技术描述清楚，中间再穿插一些代码。

#### 写作

写作难么？我认为不那么简单，虽然，我们每天都进行着大量的碎片化阅读（微信、知乎、头条...），但如果让你对某个事件发表一下有深度的看法，或者在知乎上写一篇高质量的回答，这其实是有难度的，不是识字就能做到的。

阅读更多是获取信息和观点；而写作是抛出信息和观点。写作是慢思考，一个模糊的想法转化成最终的文章期间会在大脑和指尖反复斟酌。

写作有什么好处？它可提高语言组织能力，加强对问题认识的全面性和深度，比如，要求你明天给大家分享一个技术，准备PPT的过程（姑且也可以把它看写作吧！）其实就是对这个技术会面性和深度的再次挖掘。那么第二天的演讲一定会从容不迫。如果不经过“写作的思考”，就算这个技术你天天在用，真的要在分享的时候也会难免会有所纰漏。

我觉得写作的另一个好处是提高人的情商，写作本身是对人对事的思考过程，善于思考的人做人做事一般会三思而行，会更稳重。



#### 编程

编程相于写作，我们感觉要更难一些。这主要是因为我们平时接触文字的时间要远远大于代码。但它们仍然有很多相似之处。

比如都是看不会的，虽然这段文字很优美，但你不一定能写出这么优美的句字；虽然这段代码你能看懂，但你不一定能写出这段代码所实现的功能。所以，都需要长期的“写”训练。好吧！我们一般对编程叫“敲”代码，但是“敲”字比较机械化，别忘了带上脑子。

它们有时候可以表达同样的意思：

“如果我跟马云一样有钱，我就去周游世界！不然，我就继续工作。”
```Java
public static void main(String[] args) {

    poorPeople me = new poorPeople();
    wealthPeople maDad = new wealthPeople();
    int meMoney = me.money();
    int maDadMoney = maDad.money();

    if (meMoney == maDadMoney){
        me.goSeeWorld();
    }else{
        me.work();
    }
}
```

看，看用编程一样可以表达我们的意思。



#### 不同

当然，编程与写作也有很多不一样的点，比如上面的代码，你会明显看出更加严谨。如果写作是一个感性的女孩，那么编程就是一个不懂情趣的直男，女孩说：“你都不关心我了，你一定是不爱我了！”。男孩默默写了个公示：

```Java
String love = "care";
```

女孩又说：“你都不回我信息，你一定是不爱我了！”，男孩不得不修改变量love的值：

```Java
String love = "return info";
```

.....

编程要求逻辑的严谨性和完整性，接触一个问题各种情况都要进行处理，且每次情况只有一种处理结果；而写作更多的是有感而发，它是我们某种状态下的感受，并不是真理。

<br>
__希望你能“编程与写作，总有一种思想在路上”--致程序员/测试员。__




原始封面

![课程图片](https://images.unsplash.com/photo-1470071459604-3b5ec3a7fe05?w=300)


